Halo PC Incompatiblility

Discussion in 'Windows Vista Games' started by Adam86, Jun 16, 2006.

  1. Adam86

    Adam86 Guest

    I have not installed Vista beta yet, due to the fact that Halo PC(a game I
    love playing) is apparently incompatible with Vista. A friend of mine was
    unable to install Halo on his copy of Vista. When the install is attempted,
    it says that Halo PC will not run without DirectX 9. Apparently it isn't
    forward compatible - an odd problem. Is there a way around this problem
    without doing a dual boot?

    Thanks for any help!
     
    Adam86, Jun 16, 2006
    #1
    1. Advertisements

  2. Adam86

    Noel Paton Guest

    <quote >

    Someone already answered this one. I'm just confirming my experience.

    On build 5384 (beta2) and later, Halo will display the Program
    Compatibility Assistant dialog from MS pointing you to Bungie's patch
    for Halo.

    Install the patch following Bungie's instructions and the game will run
    just fine. This patch fixes the DX version issue when loading the game.

    There is another way to hack the configuration ini file and change the
    DX version check string but you don;t need to go to such extremes. I
    went b/c I love the game and wanted to make it work before I leaned
    about the patch.

    I have not tested the trial version. I have the retail copy. Worth the
    money.

    Have fun !
    <\quote>

    --
    Noel Paton (MS-MVP 2002-2006, Windows)

    Nil Carborundum Illegitemi
    http://www.crashfixpc.com/millsrpch.htm

    http://tinyurl.com/6oztj

    Please read http://dts-l.org/goodpost.htm on how to post messages to NG's
     
    Noel Paton, Jun 16, 2006
    #2
    1. Advertisements

  3. Adam86

    Adam86 Guest

    Thanks, hopefully this'll work!

    Sorry for the double post, I received an error saying it hadn't posted, so I
    tried again...Fortunately I refreshed the board before trying again after I
    got the error again.
     
    Adam86, Jun 16, 2006
    #3
  4. Adam86

    Peres Guest

    Is Compatible with Vista Beta2 and RC1.

    When launching the game you'll see a Program Compatiblity Assistant dialog
    pointing you to a bunig.net site with a pacth for Halp and Vista. Simply
    enough you just need to replace halo.exe and string.dll by the versions
    1.0764 (patch) and the game works great in Vista.

    have fun !
     
    Peres, Jun 18, 2006
    #4
    1. Advertisements

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.